Skip to content

iF returns - Logistic API (1.4.3)

API to allow the integration with merchants

Download OpenAPI description
Overview
Languages
Servers
Mock server
https://docs.ifreturns.com/_mock/apis/returns
Development Server
https://api.dev.ifreturns.com/integration/v1
Staging Server
https://api.stg.ifreturns.com/integration/v1
Production Server
https://api.ifreturns.com/integration/v1

integration with merchants

Operations
Operations
Operations

Create a return and cancel the order

Request

Create an return over an order that never was picked up by the customer. The return will cancel the order in the ecommerce platform regardless it was fulfilled or not

Security
bearerAuth
Bodyapplication/json
shopCodestring

Shop code which belongs the return. In case this field is not informed, it will be obtained from security context. In case it is informed, it will be validated against the security context

Example: "marchelacolombine"
orderNamestringrequired

Ecommerce order name

Example: "7848"
customerEmailstringrequired

Email associated to the customer

Example: "customer@if.com"
customerPhonestring

Phone associated to the customer

Example: "+34666666666"
dropOffPointCodestring

Internal code of the drop-off location where the customer was going to pick up the order

Example: "STORE-TEST-1"
languagestring

Language code on ISO-639 to localize the return request

Example: "es"
curl -i -X POST \
  https://docs.ifreturns.com/_mock/apis/returns/order_cancellation_returns \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shopCode": "marchelacolombine",
    "orderName": "7848",
    "customerEmail": "customer@if.com",
    "customerPhone": "+34666666666",
    "dropOffPointCode": "STORE-TEST-1",
    "language": "es"
  }'

Responses

Successful operation

Bodyapplication/json
statusCodestring
Example: "200"
descriptionstring
Example: "Your return have been registered correctly"
returnobject
Response
application/json
{ "statusCode": "200", "description": "Your return have been registered correctly", "return": { "id": "eaea3209-68c9-4493-9df5-415f1b52003a", "name": "R1-7848", "shopCode": "marchelacolombine" } }

Request

Create an return for those items that can not be fulfilled (e.g. out-of-stock of the item). In case all the items are reported, the ecommerce order will be cancelled

Security
bearerAuth
Bodyapplication/json
shopCodestring

Shop code which belongs the return. In case this field is not informed, it will be obtained from security context. In case it is informed, it will be validated against the security context

Example: "marchelacolombine"
orderNamestringrequired

Ecommerce order name

Example: "7848"
customerEmailstringrequired

Email associated to the customer

Example: "customer@if.com"
customerPhonestring

Phone associated to the customer

Example: "+34666666666"
languagestring

Language code on ISO-639 to localize the return request

Example: "es"
removeLineItemsArray of objectsnon-emptyrequired

List of items to be removed from the order

removeLineItems[].​skustring

SKU of the item

Example: "1234567"
curl -i -X POST \
  https://docs.ifreturns.com/_mock/apis/returns/line_items_cancellation_returns \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "shopCode": "marchelacolombine",
    "orderName": "7848",
    "customerEmail": "customer@if.com",
    "customerPhone": "+34666666666",
    "language": "es",
    "removeLineItems": [
      {
        "sku": "1234567"
      }
    ]
  }'

Responses

Successful operation

Bodyapplication/json
statusCodestring
Example: "200"
descriptionstring
Example: "Your return have been registered correctly"
returnobject
Response
application/json
{ "statusCode": "200", "description": "Your return have been registered correctly", "return": { "id": "eaea3209-68c9-4493-9df5-415f1b52003a", "name": "R1-7848", "shopCode": "marchelacolombine" } }
Operations
Operations
Operations
Operations